summaryrefslogtreecommitdiff
path: root/busybox/files/busybox-cron
diff options
context:
space:
mode:
authorBruno Randolf <br1@subnet.at>2004-09-28 14:42:40 +0000
committerBruno Randolf <br1@subnet.at>2004-09-28 14:42:40 +0000
commita3fc4771c0c0d334cb37458088f58ed0efca2483 (patch)
treeff166f5fd3ef28afe05e8ad5f5d17fea757262af /busybox/files/busybox-cron
parentd2853d1d945a898e07a6c30ea2fae01e040b3df9 (diff)
busybox: adjust init scripts and only add to package if the server is configured in the current defconfig
BKrev: 41597860hH-ln8A8-GXKxgXptGU4ZQ
Diffstat (limited to 'busybox/files/busybox-cron')
-rw-r--r--busybox/files/busybox-cron39
1 files changed, 39 insertions, 0 deletions
diff --git a/busybox/files/busybox-cron b/busybox/files/busybox-cron
index e69de29bb2..f0e6b15629 100644
--- a/busybox/files/busybox-cron
+++ b/busybox/files/busybox-cron
@@ -0,0 +1,39 @@
+#!/bin/sh
+DAEMON=/usr/sbin/crond
+NAME=crond
+DESC="Busybox Periodic Command Scheduler"
+ARGS="-c /etc/cron/crontabs"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo -n "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0